Returns a JSON array of available region names for the specified country code.
Reference
GET https://YOUR-NETWORK-DOMAIN/rest-api/site/{siteId}/targeting/country/region/values.do
Returns a JSON array of available region names for the specified country code. These region names can be used with the location targeting or city values endpoints. Requires UPDATE permission on the site and MANAGE_SUPPLY_PRE_TARGETING user permission.
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("GET"), "https://YOUR-NETWORK-DOMAIN/rest-api/site/3001/targeting/country/region/values.do?countryCode=US");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());